/// <reference types="lodash" />
import { IListState, IMovieList, IPeopleList, PaginationWrapper } from 'interfaces';
import { Draft } from 'immer';
import { IMovie, IPeople, LanguageTypes } from 'index';
declare type List = IPeopleList | IMovieList;
declare type StateList = IListState<List>;
declare type SetState = (f: ((draft: Draft<StateList> | StateList) => void) | StateList) => void;
interface IProps {
    state: StateList;
    language?: LanguageTypes;
    filter?: IMovie | IPeople | null;
    onSelect?(widget: IMovie | IPeople | null): void;
    loadList(params: {
        page: number;
        query?: string;
        resetFilter?: boolean;
    }): void;
    scrollTop(position: number): void;
    setState: SetState;
}
export declare const useListLoad: (props: IProps) => {
    handleUpdateState: (dataList: PaginationWrapper<any>, isNewList: boolean) => void;
    handleSelect: (widget: IMovie | IPeople | null) => () => void;
    handleSearch: import("lodash").DebouncedFunc<(query: string) => void>;
    loadMoreData: () => Promise<void>;
};
export {};
